Amira 3.1 and Movie Maker issues

Many thanks to Don Duncan at Mercury Computer Systems for his help getting the Movie Maker functionality back up and running on my system.

Problem: The Movie Maker module doesn’t work under Fedora FC4/Amira3.1.1. Part of the console error displays:
/path/to/amira/arch-Linux-Optimize/libmpegenc.so symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
Bad type "HxMovieMaker"

Solution: Don indicates other customers have had issues running Amira 3.1.1 on version of Linux later than Red Hat 8 (platform Amira was built on). The work-around is to set the following environment variable:
LD_ASSUME_KERNEL=2.4
It has something to do with newer versions of the Native Posix Thread Library. The environment variable tells the system you want to use the older implementation.

If you’re running Fedora you probably don’t want to set the LD_ASSUME_KERNEL=2.4 as a default environment variable, so it might be better to manually set it if you know you’re going to need it in Amira.




No Comments


You can leave the first : )



Leave a Reply